## net.i2p.client
Class I2PSessionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException
                  net.i2p.client.I2PSessionException

All Implemented Interfaces:
  Serializable

    public class I2PSessionException

extends I2PException

Thrown when there is a problem doing something on the session

Author:
  jrandom
See Also:
  Serialized Form

Constructor Summary
`I2PSessionException(String msg)`
`I2PSessionException(String msg, Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2PSessionException

    public I2PSessionException(String msg,
                               Throwable t)

### I2PSessionException

    public I2PSessionException(String msg)